curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetCrewProfile \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"crewProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetCrewProfile"
payload = { "crewProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({crewProfileId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetCrewProfile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organizationId": "<string>",
"primaryEmail": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"printInfo": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pdfSslUrl": "<string>"
},
"isArchived": true,
"archivedAt": "2023-01-15T01:30:15.01Z",
"submissionCount": "<string>",
"primaryPhoneE164": "<string>",
"tags": [
{
"id": "<string>",
"name": "<string>",
"hexColor": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z",
"totalCrewProfiles": "<string>"
}
],
"emailFrom": "CREW_PROFILE_EMAIL_SOURCE_UNSPECIFIED",
"source": "ENTRY_SOURCE_UNSPECIFIED",
"sourceId": "<string>",
"proposalIds": [
"<string>"
]
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}GetCrewProfile
Get a single crew profile
Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
1
Define the timeout, in ms
1000
Body
Request to get a crew profile
ID of the crew profile to retrieve
Response
Success
Response for retrieving a single crew profile
ID of the crew profile
ID of the organization the crew profile belongs to
Primary email address of the crew member
Given name (first name) of the crew member
Family name (last name) of the crew member
Timestamp when the profile was created
"2023-01-15T01:30:15.01Z"
Timestamp when the profile was updated
"2023-01-15T01:30:15.01Z"
print info field
Show child attributes
Show child attributes
whether the crew profile is archived
A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (Z); input may use an offset from UTC.
"2023-01-15T01:30:15.01Z"
number of times the candidate submitted for this job
primary phone number in E.164 format, if known
tags assigned to this crew profile
Show child attributes
Show child attributes
how primary_email was determined for this profile
CREW_PROFILE_EMAIL_SOURCE_UNSPECIFIED, CREW_PROFILE_EMAIL_SOURCE_FROM_DOCUMENTS, CREW_PROFILE_EMAIL_SOURCE_FROM_LATEST_APPLICATION, CREW_PROFILE_EMAIL_SOURCE_PLACEHOLDER how this candidate first entered the system
ENTRY_SOURCE_UNSPECIFIED, ENTRY_SOURCE_CAREER_SITE, ENTRY_SOURCE_MANUAL, ENTRY_SOURCE_EMAIL id of the originating record: job application, email receipt or manual upload. empty when there is no such record
ids of the proposals this crew profile is already part of